On Sun, Oct 24, 1999 at 07:36:23AM +0300, Mircea Damian <[EMAIL PROTECTED]> wrote:
> The perl that I have installed(compiled by me) perl_eval_pv is defined in
> embed.h under an #ifdef to eval_pv(there is also a comment about this
> renaming:

The problem seems to be that the fast thread support that is in the works
currently requires small api changes for some functions (like croak) where
the preprocessor can't add the _pTHX automatically. Maybe this is related.

At the moment, perl snapshots are a moving target ;()

> > Since 5.005_61 is broken with respect to Carp.pm (and Gimp uses that
> > module), I'd suggest to use a stable version of perl (and yes, 5.005_50 to
> > 5.005_59 worked fine...)
> 
> Just seen a few days ago 5.005_62 on CPAN. Does this version fixes the Carp.pm stuff?

I don't know, that version segfaults too soon on my scripts to find out ;)
(I'm currently at 5.005_61 which has some fork problems...)

-- 
      -----==-                                             |
      ----==-- _                                           |
      ---==---(_)__  __ ____  __       Marc Lehmann      +--
      --==---/ / _ \/ // /\ \/ /       [EMAIL PROTECTED] |e|
      -=====/_/_//_/\_,_/ /_/\_\       XX11-RIPE         --+
    The choice of a GNU generation                       |
                                                         |

Reply via email to